Tidepooltestnet

Refresh access token

POST /v0/auth/refresh · 1Click-compatible

POST/v0/auth/refresh

Send the refreshToken from /v0/auth/authenticate. Real request and response (throwaway account).

Exchange refresh token for a new access token Tidepool: exchanges a refresh token for a new access token.

Operation id: refresh

Request

curl -X POST "https://www.usetidepool.tech/v0/auth/refresh" \
  -H 'content-type: application/json' \
  -d '{
  "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0aWRlcG9vbC10ZXN0bmV0IiwiaWF0IjoxNzkzMzc3ODYzLCJleHAiOjE3OTU5Njk4NjMsImp0aSI6ImZjZWI1ZmQ0LTRlNDctNDNlZC1hMmQyLTlkZWExNjllZDgzYSIsInN1YiI6IjljZjM5YWQwNDBhMTMyMDVjM2FiMTA5YTg1NjZmZDc3OTM5NGE1NDhmNzZiMWFlZDUxMDdlZmNkZmU2YzdjZWIiLCJ0eXAiOiJyZWZyZXNoIn0.HedwNuEPp3QNM3cL35BvsEm1c0XJwg-dI0NPm3_WBps"
}'

Body

FieldTypeRequiredDescription
refreshTokenstringyesRefresh token obtained from authenticate endpoint

Responses

200

{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0aWRlcG9vbC10ZXN0bmV0IiwiaWF0IjoxNzkzMzc3ODcyLCJleHAiOjE3OTMzODE0NzIsImp0aSI6ImI0Mjg1NmRmLTNkYzUtNGZlNS1hZjkwLTQ3ZmE1ODc3ZWFmYSIsInN1YiI6IjljZjM5YWQwNDBhMTMyMDVjM2FiMTA5YTg1NjZmZDc3OTM5NGE1NDhmNzZiMWFlZDUxMDdlZmNkZmU2YzdjZWIiLCJ0eXAiOiJhY2Nlc3MifQ.dpe2WUH5ju2V6EHgy0hyt-i_nFeccRaSi3IhgbEDYNo",
  "expiresIn": 3600
}

401 Invalid or expired refresh token

{
  "message": "Invalid or expired refresh token"
}

Community-built · not affiliated with NEAR. Tidepool is community-built and not affiliated with NEAR, Defuse or 1Click. Testnet only; test tokens have no value. Built by @realchriswilder.

On this page